"use strict";

let view = View()
let model = Model()
let view_ready = false
let model_ready = false
model.patch.update = view.update
model.patch.restarted = function() {
	model_ready = false
	view.update(null)
}
view.patch.ready = function() {
	view_ready = true
}
view.patch.click_splash = function() {
	if (!model_ready && view_ready) {
		model_ready = true
		model.start()
	}
}
view.patch.click_button = model.click_button
view.patch.click_restart = model.click_restart
