"use strict";

function Model() {
	let time
	let runtime = 0
	let exp = 0
	const exprate_base = 100
	const exprate_death = 100000
	const cost_turn= 10000
	const cost_sneeze = 100000
	const cost_revive = 500000
	let exprate = exprate_base
	let gameover = false
	let restart_clicked = 0
	let just_switched = false
	let reviveactive = false
	let viewmodel = {}
	let viewmodel_back = {}
	let hosts = []
	let infected = 0
	let revive_x = [0, 0, 0]
	let revive_y = [0, 0, 0]
	let interval = null
	let patch = {
		restarted: nop,
		update: nop
	}
	function nop() {
	}
	const x_min = 200
	const x_max = 5120-x_min
	const y_min = 0
	const y_max = 560*4-440
	const travel_max = 500
	const revive_speed = 40
	const revive_min_time = 10
	const revive_max_time = 20
	for (let i = 0; i < 32; i++) {
		let x = Math.random()*(x_max-x_min)+x_min
		let y = Math.random()*(y_max-y_min)+y_min
		hosts.push({hp: 200, speed: Math.random()*10+10, x: [x, x, x], y: [y, y, y], tx: x, ty: y, dead: 0, sneezing: 0, sneezingangle: 0, kissing: 0, kisstick: 0, chasetick: 0, holdflip: false, kissup: false})
	}
	function start() {
		time = new Date().getTime()
		interval = setInterval(runframe, 100)
	}
	function runframe() {
		if (!interval) {
			return
		}
		if (!gameover) {
			runtime++
			exp += exprate
			exprate++
		}
		if (restart_clicked > 0) {
			restart_clicked--
		}
		for (let i = 0; i < hosts.length; i++) {
			let host = hosts[i]
			let x = host.x[2]
			let y = host.y[2]
			if (host.sneezing > 2) {
				host.sneezing--
			}
			else if (host.dead) {
				if (host.dead < 200) {
					host.dead++
				}
			}
			else {
				if (host.sneezing) {
					host.sneezing--
				}
				if (host.kisstick) {
					host.kisstick--
				}
				if (host.chasetick) {
					host.chasetick--
				}
				let speed = host.speed*host.speed
				if (host.kisstick >= 15) {
					speed = 1
				}
				let d = (x-host.tx)*(x-host.tx)+(y-host.ty)*(y-host.ty)
				if (d < host.speed*host.speed) {
					x = host.tx
					y = host.ty
					if (host.kisstick < 15) {
						if (infected == i) {
							just_switched = false
						}
						let min = Math.max(x-travel_max,x_min)
						let max = Math.min(x+travel_max,x_max)
						if (host.kisstick == 14) {
							if (host.holdflip) {
								max = Math.min(max, x)
							}
							else {
								min = Math.max(min, x)
							}
						}
						host.tx = Math.random()*(max-min)+min
						min = Math.max(y-travel_max,y_min)
						max = Math.min(y+travel_max,y_max)
						if (host.kisstick == 14) {
							if (host.kissup) {
								max = Math.min(max, y)
							}
							else {
								min = Math.max(min, y)
							}
						}
						host.ty = Math.random()*(max-min)+min
					}
				}
				else {
					let a = Math.sqrt(host.speed*host.speed/d)
					x += a*(host.tx-x)
					y += a*(host.ty-y)
				}
			}
			host.x[0] = host.x[1]
			host.x[1] = host.x[2]
			host.x[2] = x
			host.y[0] = host.y[1]
			host.y[1] = host.y[2]
			host.y[2] = y
			if (!host.dead && !host.kisstick) {
				for (let j = 0; j < hosts.length; j++) {
					if (i == j) {
						continue
					}
					let other = hosts[j]
					if (other.dead || other.kisstick) {
						continue
					}
					let ox = other.x[2]
					let oy = other.y[2]
					if ((x-ox)*(x-ox)+(y-oy)*(y-oy) < 1600) {
						host.kisstick = other.kisstick = 20
						host.kissing = j
						other.kissing = i
						let mx = (x+ox)*0.5
						let my = (y+oy)*0.5
						if (x > ox) {
							host.holdflip = true
							other.holdflip = false
							host.tx = mx+5
							other.tx = mx-5
						}
						else {
							host.holdflip = false
							other.holdflip = true
							host.tx = mx-3
							other.tx = mx+3
						}
						if (y > oy) {
							host.kissup = true
							other.kissup = false
							host.ty = my+3
							other.ty = my-3
						}
						else {
							host.kissup = false
							other.kissup = true
							host.ty = my-3
							other.ty = my+3
						}
						break
					}
				}
				if (!host.kisstick && !host.chasetick) {
					for (let j = 0; j < hosts.length; j++) {
						if (i == j) {
							continue
						}
						let other = hosts[j]
						if (other.dead || other.kisstick || other.chasetick) {
							continue
						}
						if (host.hp-other.hp > 100 || other.hp-host.hp > 100) {
							continue
						}
						let ox = other.x[2]
						let oy = other.y[2]
						let d = (x-ox)*(x-ox)+(y-oy)*(y-oy)
						if (d > 640000) {
							continue
						}
						if ((other.tx-ox)*(x-ox)+(other.ty-oy)*(y-oy) < 0) {
							continue
						}
						if ((host.tx-x)*(ox-x)+(host.ty-y)*(oy-y) < 0) {
							continue
						}
						if (Math.random() > 0.05) {
							continue
						}
						let r = 1/(other.speed+host.speed)
						let mx = (x*other.speed+ox*host.speed)*r
						let my = (y*other.speed+oy*host.speed)*r
						host.tx = other.tx = mx
						host.ty = other.ty = my
						let t = Math.sqrt(d)*r
						t = (t|0)+10
						host.chasetick = other.chasetick = t
						break
					}
				}
			}
			if ((infected == i || host.hp < 75)&& host.hp > 0) {
				host.hp--
				if (host.hp <= 0) {
					host.dead = 1
					host.holdflip = (x < host.x[1])
					if (infected == i) {
						if (reviveactive) {
							reviveactive = false
							revive_x[0] = revive_x[1] = revive_x[2] = x
							revive_y[0] = revive_y[1] = revive_y[2] = y
						}
						else {
							gameover = true
						}
					}
					else {
						exp += exprate_death
					}
				}
			}
		}
		revive_x[0] = revive_x[1]
		revive_x[1] = revive_x[2]
		revive_y[0] = revive_y[1]
		revive_y[1] = revive_y[2]
		if (hosts[infected].dead > revive_max_time) {
			gameover = true
		}
		else if (!gameover && hosts[infected].dead > revive_min_time) {
			let dist = -1
			let targ = -1
			for (let i = 0; i < hosts.length; i++) {
				let host = hosts[i]
				if (host.dead) {
					continue
				}
				let x = host.x[2]
				let y = host.y[2]
				let d = (x-revive_x[2])*(x-revive_x[2])+(y-revive_y[2])*(y-revive_y[2])
				if (dist < 0 || dist > d) {
					dist = d
					targ = i
				}
			}
			if (targ >= 0) {
				let x = hosts[targ].x[2]
				let y = hosts[targ].y[2]
				let d = (x-revive_x[2])*(x-revive_x[2])+(y-revive_y[2])*(y-revive_y[2])
				if (d < revive_speed*revive_speed) {
					revive_x[2] = x
					revive_y[2] = y
					infected = targ
				}
				else {
					let a = Math.sqrt(revive_speed*revive_speed/d)
					revive_x[2] += a*(x-revive_x[2])
					revive_y[2] += a*(y-revive_y[2])
				}
			}
		}
		update_viewmodel()
	}
	function update_viewmodel() {
		let curtime = new Date().getTime()
		if (time+200-curtime < 0 || time-curtime > 0) {
			time = curtime
		}
		else {
			time += 100
		}
		let t = viewmodel
		viewmodel = viewmodel_back
		viewmodel_back = t
		viewmodel.time = time
		viewmodel.runtime = runtime
		viewmodel.exp = exp
		viewmodel.cankiss = (!gameover && !hosts[infected].dead)?(hosts[infected].kisstick >= 15 && !just_switched)?2:1:0;
		viewmodel.canturn = (!gameover && !hosts[infected].dead && hosts[infected].kisstick < 15);
		viewmodel.cansneeze = false
		if (!gameover && !hosts[infected].dead && hosts[infected].kisstick < 15) {
			let x = hosts[infected].x[2]
			let y = hosts[infected].y[2]
			let tx = hosts[infected].tx
			let ty = hosts[infected].ty
			for (let i = 0; i < hosts.length; i++) {
				if (i == infected || hosts[i].dead) {
					continue
				}
				let ox = hosts[i].x[2]
				let oy = hosts[i].y[2]
				if ((ox-x)*(ox-x)+(oy-y)*(oy-y) > 640000) {
					continue
				}
				if ((ox-x)*(tx-x)+(oy-y)*(ty-y) > 0.9*Math.sqrt(((ox-x)*(ox-x)+(oy-y)*(oy-y))*((tx-x)*(tx-x)+(ty-y)*(ty-y)))) {
					viewmodel.cansneeze = true
					break
				}
			}
		}
		viewmodel.canrevive = (!gameover && !hosts[infected].dead && !reviveactive);
		viewmodel.restart = (!gameover)?(restart_clicked)?1:0:2;
		if (!viewmodel.revive_x) {
			viewmodel.revive_x = [0, 0, 0]
		}
		if (!viewmodel.revive_y) {
			viewmodel.revive_y = [0, 0, 0]
		}
		viewmodel.revive_x[0] = revive_x[0]
		viewmodel.revive_x[1] = revive_x[1]
		viewmodel.revive_x[2] = revive_x[2]
		viewmodel.revive_y[0] = revive_y[0]
		viewmodel.revive_y[1] = revive_y[1]
		viewmodel.revive_y[2] = revive_y[2]
		if (!viewmodel.hosts) {
			viewmodel.hosts = []
		}
		while (viewmodel.hosts.length < hosts.length) {
			viewmodel.hosts.push({hp: 0, x: [0, 0, 0], y: [0, 0, 0], infected: false, dead: 0, kissstart: 0, kissend: 0, holdflip: false})
		}
		for (let i = 0; i < hosts.length; i++) {
			let host = hosts[i]
			viewmodel.hosts[i].hp = host.hp
			viewmodel.hosts[i].x[0] = host.x[0]
			viewmodel.hosts[i].x[1] = host.x[1]
			viewmodel.hosts[i].x[2] = host.x[2]
			viewmodel.hosts[i].y[0] = host.y[0]
			viewmodel.hosts[i].y[1] = host.y[1]
			viewmodel.hosts[i].y[2] = host.y[2]
			viewmodel.hosts[i].infected = (infected == i)
			viewmodel.hosts[i].dead = host.dead
			viewmodel.hosts[i].sneezing = host.sneezing
			viewmodel.hosts[i].sneezingangle = host.sneezingangle
			viewmodel.hosts[i].kissstart = 20-host.kisstick
			viewmodel.hosts[i].kissend = (host.kisstick > 13)?host.kisstick-13:0
			viewmodel.hosts[i].holdflip = host.holdflip
		}
		patch.update(viewmodel)
	}
	function click_restart() {
		if (!interval) {
			return
		}
		if (!gameover && !restart_clicked) {
			restart_clicked = 10
			update_viewmodel()
			return
		}
		clearInterval(interval)
		interval = null
		runtime = 0
		exp = 0
		exprate = exprate_base
		gameover = false
		restart_clicked = 0
		just_switched = false
		reviveactive = false
		infected = 0
		for (let i = 0; i < hosts.length; i++) {
			let x = Math.random()*(x_max-x_min)+x_min
			let y = Math.random()*(y_max-y_min)+y_min
			hosts[i].hp = 200
			hosts[i].speed = Math.random()*10+10
			hosts[i].x[0] = hosts[i].x[1] = hosts[i].x[2] = hosts[i].tx = x
			hosts[i].y[0] = hosts[i].y[1] = hosts[i].y[2] = hosts[i].ty = y
			hosts[i].dead = 0
			hosts[i].sneezing = 0
			hosts[i].sneezingangle = 0
			hosts[i].kissing = 0
			hosts[i].kisstick = 0
			hosts[i].chasetick = 0
			hosts[i].holdflip = false
			hosts[i].kissup = false
		}
		patch.restarted()
	}
	function click_button(which) {
		let host = hosts[infected]
		if (gameover || hosts[infected].dead) {
			return
		}
		switch (which) {
			case 0:
				if (!just_switched && host.kisstick >= 15) {
					infected = host.kissing
					just_switched = true
					exprate = exprate_base
					update_viewmodel()
				}
				break
			case 1:
				if (host.kisstick < 15 && exp > cost_turn) {
					exp -= cost_turn
					let x = host.x[2]
					let y = host.y[2]
					let min = Math.max(x-travel_max,x_min)
					let max = Math.min(x+travel_max,x_max)
					host.tx = Math.random()*(max-min)+min
					min = Math.max(y-travel_max,y_min)
					max = Math.min(y+travel_max,y_max)
					host.ty = Math.random()*(max-min)+min
				}
				break
			case 2:
				if (host.kisstick < 15 && exp > cost_sneeze) {
					let x = host.x[2]
					let y = host.y[2]
					let tx = host.tx
					let ty = host.ty
					let targets = 0
					for (let i = 0; i < hosts.length; i++) {
						if (i == infected || hosts[i].dead) {
							continue
						}
						let ox = hosts[i].x[2]
						let oy = hosts[i].y[2]
						if ((ox-x)*(ox-x)+(oy-y)*(oy-y) > 1000000) {
							continue
						}
						if ((ox-x)*(tx-x)+(oy-y)*(ty-y) > 0.7*Math.sqrt(((ox-x)*(ox-x)+(oy-y)*(oy-y))*((tx-x)*(tx-x)+(ty-y)*(ty-y)))) {
							targets++
						}
					}
					if (!targets) {
						break
					}
					targets = (targets*Math.random())|0
					for (let i = 0; i < hosts.length; i++) {
						if (i == infected || hosts[i].dead) {
							continue
						}
						let ox = hosts[i].x[2]
						let oy = hosts[i].y[2]
						if ((ox-x)*(ox-x)+(oy-y)*(oy-y) > 640000) {
							continue
						}
						if ((ox-x)*(tx-x)+(oy-y)*(ty-y) > 0.9*Math.sqrt(((ox-x)*(ox-x)+(oy-y)*(oy-y))*((tx-x)*(tx-x)+(ty-y)*(ty-y)))) {
							if (targets) {
								targets--
							}
							else {
								host.sneezing = 5
								host.sneezingangle = Math.atan2(ty-y, tx-x)
								exp -= cost_sneeze
								infected = i
								exprate = exprate_base
								update_viewmodel()
								break
							}
						}
					}
				}
				break
			case 3:
				if (!reviveactive && exp > cost_revive) {
					exp -= cost_revive
					reviveactive = true
				}
				break
		}
	}
	return {
		start: start,
		click_restart: click_restart,
		click_button: click_button,
		patch: patch
	}
}
